<template>
  <component :is="isWhich"></component>
</template>

<script>
import xx from './indey_xx.vue';
import jyj from './indey_jyj.vue';
export default {
  components: { xx, jyj },
  computed: {
    isWhich() {
      const from = this.$route.query.from

      if (from === 'xx') {
        return xx
      } else if (from === 'jyj') {
        return jyj
      } else {
        console.error('no from', from);
      }
    }
  },
  beforeMounted() {
    console.log('from :>> ', this.$route.query.from);
  }
}
</script>


